Subject: Re: linux-next: build failure after merge of the scsi tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 23 Mar 2012 15:50:02 +1100

On Fri, 2012-03-23 at 13:00 +1100, Stephen Rothwell wrote:
> Hi James,
> 
> After merging the scsi tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/ata/sata_svw.c: In function 'k2_sata_proc_open':
> drivers/ata/sata_svw.c:327:2: error: implicit declaration of function 'PDE' [-Werror=implicit-function-declaration]
> drivers/ata/sata_svw.c:327:56: error: invalid type argument of '->' (have 'int')
> drivers/ata/sata_svw.c:328:1: warning: control reaches end of non-void function [-Wreturn-type]
> 
> Caused by commit 343ac4b031a7 ("[SCSI] sata_svw: convert to scsi proc_ops").
> 
> I have used the scsi tree from next-20120322 for today.

Additionally, I am the author and maintainer of that driver and I don't
remember ever being CCed on that patch ... or did I miss it ?

Cheers,
Ben.